Debian Bug report logs - #496424
Generate temporary directory with mktemp

version graph

Package: firehol; Maintainer for firehol is Jerome Benoit <calculus@rezozer.net>; Source for firehol is src:firehol.

Reported by: "Dmitry E. Oboukhov" <dimka@uvw.ru>

Date: Sun, 24 Aug 2008 18:11:53 UTC

Owned by: calculus@rezozer.net

Severity: wishlist

Tags: security

Fixed in version firehol/1.296-1

Done: Jerome Benoit <calculus@rezozer.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexander Wirt <formorer@debian.org>:
Bug#496424; Package firehol. Full text and rfc822 format available.

Acknowledgement sent to "Dmitry E. Oboukhov" <dimka@uvw.ru>:
New Bug report received and forwarded. Copy sent to Alexander Wirt <formorer@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dmitry E. Oboukhov" <dimka@uvw.ru>
To: submit@bugs.debian.org
Cc: dimka@uvw.ru
Subject: The possibility of attack with the help of symlinks in some Debian packages
Date: Sun, 24 Aug 2008 22:05:29 +0400
Package: firehol
Severity: grave

Hi, maintainer!

This message about the error concerns a few packages  at  once.   I've
tested all the packages (for Lenny) on my Debian mirror.  All  scripts
of packages (marked as executable) were tested.

In some packages I've discovered scripts with errors which may be used
by a user for damaging important system files or user's files.

For example if a script uses in its work a temp file which is  created
in /tmp directory, then every user can create symlink  with  the  same
name in this directory in order to  destroy  or  rewrite  some  system
or user file.  Symlink attack may also  lead  not  only  to  the  data
desctruction but to denial of service as well.

Even if you create files or directories with help of function 'RANDOM'
or pid(), then your system is not protected. Attacker can create many
symlinks in order to destroy your data or create 'denial  of  service'
for your package scripts.

Even if you make rm(dir) for files/directories, then  your  system  is
not protected. Attacker can permanently create symlinks.

This list is created with the help of script.  This list is sorted  by
hand. Howewer in some cases mistake is possible.

Please, Be understanding to possible mistakes. :)

I set Severity into grave for this bug. The table of discovered
problems is below.

Discussion of this bug you can see in debian-devel@:
    http://lists.debian.org/debian-devel/2008/08/msg00271.html

Binary-package: r-base-core-ra (1.1.1-1)
    file: /usr/lib/Ra/lib/R/bin/javareconf
Binary-package: rccp (0.9-2)
    file: /usr/lib/rccp/delqueueask
Binary-package: mafft (6.240-1)
    file: /usr/bin/mafft-homologs
Binary-package: openoffice.org-common (1:2.4.1-6)
    file: /usr/lib/openoffice/program/senddoc
Binary-package: crossfire-maps (1.11.0-1)
    file: /usr/share/games/crossfire/maps/Info/combine.pl
Binary-package: sgml2x (1.0.0-11.1)
    file: /usr/bin/rlatex
Binary-package: liguidsoap (0.3.6-4)
    file: /var/lib/liguidsoap/liguidsoap.py
Binary-package: citadel-server (7.37-1)
    file: /usr/lib/citadel-server/migrate_aliases.sh
Binary-package: ampache (3.4.1-1)
    file: /usr/share/ampache/www/locale/base/gather-messages.sh
Binary-package: xen-utils-3.2-1 (3.2.1-2)
    file: /usr/lib/xen-3.2-1/bin/qemu-dm.debug
Binary-package: dtc-common (0.29.6-1)
    file: /usr/share/dtc/admin/accesslog.php
    file: /usr/share/dtc/admin/sa-wrapper
Binary-package: honeyd-common (1.5c-3)
    file: /usr/share/honeyd/scripts/test.sh
Binary-package: lustre-tests (1.6.5-1)
    file: /usr/lib/lustre/tests/runiozone
Binary-package: linuxtrade (3.65-8+b4)
    file: /usr/share/linuxtrade/bin/linuxtrade.bwkvol
    file: /usr/share/linuxtrade/bin/linuxtrade.wn
    file: /usr/share/linuxtrade/bin/moneyam.helper
Binary-package: freevo (1.8.1-0)
    file: /usr/bin/freevo.real
Binary-package: fml (4.0.3.dfsg-2)
    file: /usr/share/fml/libexec/mead.pl
Binary-package: rkhunter (1.3.2-3)
    file: /usr/bin/rkhunter
Binary-package: openswan (1:2.4.12+dfsg-1.1)
    file: /usr/lib/ipsec/livetest
Binary-package: linux-patch-openswan (1:2.4.12+dfsg-1.1)
    file: /usr/src/kernel-patches/all/openswan/packaging/utils/maysnap
    file: /usr/src/kernel-patches/all/openswan/packaging/utils/maytest
Binary-package: aptoncd (0.1-1.1)
    file: /usr/share/aptoncd/xmlfile.py
Binary-package: cdcontrol (1.90-1.1)
    file: /usr/lib/cdcontrol/writtercontrol
Binary-package: newsgate (1.6-23)
    file: /usr/bin/mkmailpost
Binary-package: gpsdrive-scripts (2.10~pre4-3)
    file: /usr/bin/geo-code
Binary-package: impose+ (0.2-11)
    file: /usr/bin/impose
Binary-package: mgt (2.31-5)
    file: /usr/games/mailgo
Binary-package: audiolink (0.05-1)
    file: /usr/bin/audiolink
Binary-package: ibackup (2.27-4.1)
    file: /usr/bin/ibackup
Binary-package: emacspeak (26.0-3)
    file: /usr/share/emacs/site-lisp/emacspeak/etc/extract-table.pl
Binary-package: bk2site (1:1.1.9-3.1)
    file: /usr/lib/cgi-bin/bk2site/redirect.pl
Binary-package: datafreedom-perl (0.1.7-1)
    file: /usr/bin/dfxml-invoice
Binary-package: emacs-jabber (0.7.91-1)
    file: /usr/lib/emacsen-common/packages/install/emacs-jabber
Binary-package: lmbench (3.0-a7-1)
    file: /usr/lib/lmbench/scripts/rccs
    file: /usr/lib/lmbench/scripts/STUFF
Binary-package: rancid-util (2.3.2~a8-1)
    file: /var/lib/rancid/getipacctg
Binary-package: ogle (0.9.2-5.2)
    file: /usr/lib/ogle/ogle_audio_debug
    file: /usr/lib/ogle/ogle_cli_debug
    file: /usr/lib/ogle/ogle_ctrl_debug
    file: /usr/lib/ogle/ogle_gui_debug
    file: /usr/lib/ogle/ogle_mpeg_ps_debug
    file: /usr/lib/ogle/ogle_mpeg_vs_debug
    file: /usr/lib/ogle/ogle_nav_debug
    file: /usr/lib/ogle/ogle_vout_debug
Binary-package: firehol (1.256-4)
    file: /sbin/firehol
Binary-package: aview (1.3.0rc1-8)
    file: /usr/bin/asciiview
Binary-package: radiance (3R9+20080530-3)
    file: /usr/bin/optics2rad
    file: /usr/bin/pdelta
    file: /usr/bin/dayfact
    file: /usr/bin/raddepend
Binary-package: vdr-dbg (1.6.0-5)
    file: /usr/bin/vdrleaktest
Binary-package: ogle-mmx (0.9.2-5.2)
    file: /usr/lib/ogle/ogle_audio_debug
    file: /usr/lib/ogle/ogle_cli_debug
    file: /usr/lib/ogle/ogle_ctrl_debug
    file: /usr/lib/ogle/ogle_gui_debug
    file: /usr/lib/ogle/ogle_mpeg_ps_debug
    file: /usr/lib/ogle/ogle_mpeg_vs_debug
    file: /usr/lib/ogle/ogle_nav_debug
    file: /usr/lib/ogle/ogle_vout_debug
Binary-package: convirt (0.8.2-3)
    file: /usr/share/convirt/image_store/_template_/provision.sh
    file: /usr/share/convirt/image_store/Linux_CD_Install/provision.sh
    file: /usr/share/convirt/image_store/Fedora_PV_Install/provision.sh
    file: /usr/share/convirt/image_store/CentOS_PV_Install/provision.sh
    file: /usr/share/convirt/image_store/common/provision.sh
    file: /usr/share/convirt/image_store/example/provision.sh
    file: /usr/share/convirt/image_store/Windows_CD_Install/provision.sh
Binary-package: printfilters-ppd (2.13-9)
    file: /usr/lib/printfilters/master-filter
Binary-package: r-base-core (2.7.1-1)
    file: /usr/lib/R/bin/javareconf
    file: /usr/lib/R/bin/javareconf.orig
Binary-package: xmcd (2.6-19.3)
    file: /usr/share/xmcd/scripts/ncsarmt
    file: /usr/share/xmcd/scripts/ncsawrap
Binary-package: tiger (1:3.2.2-3.1)
    file: /usr/lib/tiger/util/genmsgidx
Binary-package: scilab-bin (4.1.2-5)
    file: /usr/lib/scilab-4.1.2/bin/scilink
    file: /usr/lib/scilab-4.1.2/util/scidoc
    file: /usr/lib/scilab-4.1.2/util/scidem
Binary-package: dpkg-cross (2.3.0)
    file: /usr/share/dpkg-cross/bin/gccross
Binary-package: ltp-network-test (20060918-2.1)
    file: /usr/lib/debian-test/tests/linux/testcases/bin/ftp_setup_vsftp_conf
    file: /usr/lib/debian-test/tests/linux/testcases/bin/nfs_fsstress.sh
Binary-package: cman (2.20080629-1)
    file: /usr/sbin/fence_egenera
Binary-package: scratchbox2 (1.99.0.24-1)
    file: /usr/share/scratchbox2/scripts/dpkg-checkbuilddeps
    file: /usr/share/scratchbox2/scripts/sb2-check-pkg-mappings
Binary-package: sendmail-base (8.14.3-5)
    file: /usr/sbin/checksendmail
    file: /usr/bin/expn
Binary-package: fwbuilder (2.1.19-3)
    file: /usr/bin/fwb_install
Binary-package: sng (1.0.2-5)
    file: /usr/bin/sng_regress
Binary-package: dist (1:3.5-17-1)
    file: /usr/bin/patcil
    file: /usr/bin/patdiff
Binary-package: sympa (5.3.4-5)
    file: /usr/lib/cgi-bin/sympa/wwsympa.fcgi
    file: /usr/lib/sympa/bin/sympa.pl
Binary-package: postfix (2.5.2-2)
    file: /usr/lib/postfix_groups.pl
Binary-package: caudium (3:1.4.12-11)
    file: /usr/share/caudium/configvar
Binary-package: mgetty-fax (1.1.36-1.2)
    file: /usr/bin/faxspool
Binary-package: aegis (4.24-3)
    file: /usr/share/doc/aegis/examples/remind/bng_dvlpd.sh
    file: /usr/share/doc/aegis/examples/remind/bng_rvwd.sh
    file: /usr/share/doc/aegis/examples/remind/awt_dvlp.sh
    file: /usr/share/doc/aegis/examples/remind/awt_intgrtn.sh
Binary-package: aegis-web (4.24-3)
    file: /usr/lib/cgi-bin/aegis.cgi
Binary-package: digitaldj (0.7.5-6+b1)
    file: /usr/share/digitaldj/fest.pl
Binary-package: mon (0.99.2-12)
    file: /usr/lib/mon/alert.d/test.alert
Binary-package: feta (1.4.16)
    file: /usr/share/feta/plugins/to-upgrade
Binary-package: arb-common (0.0.20071207.1-4)
    file: /usr/lib/arb/SH/arb_fastdnaml
    file: /usr/lib/arb/SH/dszmconnect.pl
Binary-package: qemu (0.9.1-5)
    file: /usr/sbin/qemu-make-debian-root
Binary-package: apertium (3.0.7+1-1+b1)
    file: /usr/bin/apertium-gen-deformat
    file: /usr/bin/apertium-gen-reformat
    file: /usr/bin/apertium
Binary-package: xcal (4.1-18.3)
    file: /usr/bin/pscal
Binary-package: myspell-tools (1:3.1-20)
    file: /usr/bin/i2myspell
Binary-package: gccxml (0.9.0+cvs20080525-1)
    file: /usr/share/gccxml-0.9/MIPSpro/find_flags
Binary-package: freeradius-dialupadmin (2.0.4+dfsg-4)
    file: /usr/share/freeradius-dialupadmin/bin/backup_radacct
    file: /usr/share/freeradius-dialupadmin/bin/clean_radacct
    file: /usr/share/freeradius-dialupadmin/bin/monthly_tot_stats
    file: /usr/share/freeradius-dialupadmin/bin/tot_stats
    file: /usr/share/freeradius-dialupadmin/bin/truncate_radacct
Binary-package: dhis-server (5.3-1)
    file: /usr/lib/dhis-server/dhis-dummy-log-engine
Binary-package: wims (3.62-13)
    file: /var/lib/wims/public_html/bin/coqweb
    file: /var/lib/wims/bin/account.sh
Binary-package: initramfs-tools (0.92f)
    file: /usr/share/initramfs-tools/init
Binary-package: realtimebattle-common (1.0.8-7)
    file: /usr/lib/realtimebattle/Robots/perl.robot
Binary-package: netmrg (0.20-1)
    file: /usr/bin/rrdedit
Binary-package: bulmages-servers (0.11.1-2)
    file: /usr/share/bulmages/examples/scripts/actualizabulmacont
    file: /usr/share/bulmages/examples/scripts/installbulmages-db
    file: /usr/share/bulmages/examples/scripts/creabulmafact
    file: /usr/share/bulmages/examples/scripts/creabulmacont
    file: /usr/share/bulmages/examples/scripts/actualizabulmafact
Binary-package: xastir (1.9.2-1)
    file: /usr/lib/xastir/get-maptools.sh
    file: /usr/lib/xastir/get_shapelib.sh
Binary-package: plait (1.5.2-1)
    file: /usr/bin/plaiter
    file: /usr/bin/plait
Binary-package: cdrw-taper (0.4-2)
    file: /usr/sbin/amlabel-cdrw
Binary-package: konwert-filters (1.8-11.1)
    file: /usr/share/konwert/filters/any-UTF8
Binary-package: gdrae (0.1-1)
    file: /usr/bin/gdrae
Binary-package: lazarus-src (0.9.24-0-9)
    file: /usr/lib/lazarus/tools/install/create_lazarus_export_tgz.sh




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Wirt <formorer@debian.org>:
Bug#496424; Package firehol. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Alexander Wirt <formorer@debian.org>. Full text and rfc822 format available.

Message #10 received at 496424@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: "Dmitry E. Oboukhov" <dimka@uvw.ru>
Cc: 496424@bugs.debian.org, control@bugs.debian.org
Subject: Re: The possibility of attack with the help of symlinks in some Debian packages
Date: Mon, 25 Aug 2008 00:27:00 +0200
severity 496424 wishlist
retitle 496424 Generate temporary directory with mktemp
thanks

Dmitry E. Oboukhov wrote:
> Package: firehol
> Severity: grave
> 
> Hi, maintainer!

> Even if you create files or directories with help of function 'RANDOM'
> or pid(), then your system is not protected. Attacker can create many
> symlinks in order to destroy your data or create 'denial  of  service'
> for your package scripts.

This is a false positive, firehol generates it's temporary directory
with FIREHOL_DIR="/tmp/.firehol-tmp-$$-${RANDOM}-${RANDOM}", which
would require an attacker to create 1073741824*PID-RANGE symlinks

Using mktemp would certainly be a cleaner solution, though.
As such I'm retitling the bug for now.

Cheers,
        Moritz




Severity set to `wishlist' from `grave' Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Sun, 24 Aug 2008 22:39:06 GMT) Full text and rfc822 format available.

Changed Bug title to `Generate temporary directory with mktemp' from `The possibility of attack with the help of symlinks in some Debian packages'. Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Sun, 24 Aug 2008 22:39:07 GMT) Full text and rfc822 format available.

Tags added: Request was from "Dmitry E. Oboukhov" <dimka@uvw.ru> to control@bugs.debian.org. (Tue, 26 Aug 2008 08:45:53 GMT) Full text and rfc822 format available.

Tags added: security Request was from "Dmitry E. Oboukhov" <dimka@uvw.ru> to control@bugs.debian.org. (Tue, 26 Aug 2008 08:57:41 GMT) Full text and rfc822 format available.

Owner recorded as calculus@rezozer.net. Request was from Jerome BENOIT <calculus@rezozer.net> to control@bugs.debian.org. (Tue, 19 Mar 2013 11:24:10 GMT) Full text and rfc822 format available.

Reply sent to Jerome Benoit <calculus@rezozer.net>:
You have taken responsibility. (Sat, 20 Apr 2013 19:36:12 GMT) Full text and rfc822 format available.

Notification sent to "Dmitry E. Oboukhov" <dimka@uvw.ru>:
Bug acknowledged by developer. (Sat, 20 Apr 2013 19:36:12 GMT) Full text and rfc822 format available.

Message #25 received at 496424-close@bugs.debian.org (full text, mbox):

From: Jerome Benoit <calculus@rezozer.net>
To: 496424-close@bugs.debian.org
Subject: Bug#496424: fixed in firehol 1.296-1
Date: Sat, 20 Apr 2013 19:32:32 +0000
Source: firehol
Source-Version: 1.296-1

We believe that the bug you reported is fixed in the latest version of
firehol, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 496424@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jerome Benoit <calculus@rezozer.net> (supplier of updated firehol package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Apr 2013 07:06:57 +0000
Source: firehol
Binary: firehol
Architecture: source all
Version: 1.296-1
Distribution: unstable
Urgency: low
Maintainer: Jerome Benoit <calculus@rezozer.net>
Changed-By: Jerome Benoit <calculus@rezozer.net>
Description: 
 firehol    - easy to use but powerful iptables stateful firewall
Closes: 443051 455754 496424 536609 536675 558288 563655 565737 571727 574458 583176 598324 607785 610249 660524 703341 705731
Changes: 
 firehol (1.296-1) unstable; urgency=low
 .
   * New maintainer (Closes: #660524).
   * New upstream version (Closes: #607785):
     - Removed depedency to get-iana.sh and to RESERVED_IPS
       (Closes: #583176, #565737, #574458, #598324, #455754, #536609, #558288),
       thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
       (#536609), to Adrian Bridgett <adrian@smop.co.uk> (#583176);
     - Updated documentations (Closes: #571727);
     - Improved kernel modules management (Closes: #610249);
     - Simplified quoting in log prefix (Closes: #443051) (LP: #253843);
     - Passive FTP fix (Closes: #563655), thanks to Toni Mueller
       <support@oeko.net>;
     - Minor improvements and fixes.
   * Update to source format 3.0 (quilt).
   * Bump debhelper build-dep to >= 9.
   * Bump Standards Version to 3.9.4.
   * Rewrite debian/rules:
     - use dh sequencer with minimal external Makefile.
   * Revisit debian/control.
   * Add empty but commented watch file.
   * Correct manpages.
   * Remove RESERVED_IPS as it is no more mandatory, nevertheless
     /usr/share/doc/firehol/examples contains an updated minimal version.
   * Move get-iana.sh to /usr/share/doc/firehol/examples
     as RESERVED_IPS is no more mandatory.
   * Render /etc/init.d/firehol independ from /usr tree.
   * Add `status' option support to /etc/init.d/firehol (LP: #185978).
   * Convert debian/copyright to DEP-5 format.
   * Conform debian/patches/ patches to DEP-3 format.
   * Generate now temporary directory with mktemp (Closes: #496424),
     thanks to Phil Whineray for pointing to it.
   * Now plainly use iproute (Red Hat Bugzilla: #784520),
     thanks to Phil Whineray for hardening the original RedHat patch.
   * Temporary files are now left behind in case of error (Closes: #703341),
     thanks to Phil Whineray who backported the sanewall patch to FireHOL.
   * `panic' option has been rationalized (Closes: #536675),
     thanks to Andrew Schulman and Phil Whineray.
   * Standard patch naming scheme (Closes: #705731), thanks to
     Jari Aalto <jari.aalto@cante.net>.
   * Whitespace cleanup, thanks to Jari Aalto <jari.aalto@cante.net>.
Checksums-Sha1: 
 5be5381549982c9a8421c03c8c075486adc664fb 1695 firehol_1.296-1.dsc
 4cf6030c682198fa2cd47ef769d264f524825a6e 140040 firehol_1.296.orig.tar.xz
 504ed4b4009e153d6114bfefc90c3265f621f1a8 13944 firehol_1.296-1.debian.tar.xz
 404240df4e9e781631631617f7cc5c1049652d16 182926 firehol_1.296-1_all.deb
Checksums-Sha256: 
 ec72e40d0ae9a0fb9af036a2767a269feb4dee288054445a8c449e61aa22e49f 1695 firehol_1.296-1.dsc
 b08e4410f9f4bebb3b62475a91601bebe744a4f4aef771224540a312edcde3dd 140040 firehol_1.296.orig.tar.xz
 141944ee297f63b73cbcd04bb0726a7fedbb1d371cce09c743882428e032f9a2 13944 firehol_1.296-1.debian.tar.xz
 2b4a1c0965625e670e3897755c25ab856a67d066efd100a7a3b8e6c0781f9361 182926 firehol_1.296-1_all.deb
Files: 
 580b068881fac130eb0f20952d9f6935 1695 net optional firehol_1.296-1.dsc
 d5aa241329a21f289ca76f4b252337bf 140040 net optional firehol_1.296.orig.tar.xz
 9369bff36662c0ecdb550016230275c2 13944 net optional firehol_1.296-1.debian.tar.xz
 defe3fbb39d5fbf2952589ceefcfc6b9 182926 net optional firehol_1.296-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRcusCAAoJECHSBYmXSz6WsMkP+wbddbE2FZU3qZGxa5fotrWz
bvo/uFMfqohth1lLqHbGuQnw+lSxMd9HJeTgoKOQcFqU8pyY2eSRa+Gs1zurpv/p
b3Z0OAKYSbpBNk0pzbPJ6ywQZLd8Zg3xgIkOcuIVC2K1NHbZgJd2goNsiY0sI3OI
QJOWYZX/78euvoteFsgG6DqfPgfG7YXixXrt6mf1r5G+gSqJQkB3nzCZHPE1VKme
FFlDkqQUgqVNb4FQ+kSYjvJX/7FHr9Fb5DjGnqYzY302tO9FENby0VGS41h9CG6h
CtW32S0Noqs4foeqQGaJdn6rWsGPi8GRK/IfNUBBgZrDbwzmLVfFzDDrn3yRQjUY
wRUTZFyd4IQ4Fetf3qceP881zXQgKM9VBQCETQ3zvKNWQsPCjTZ/qn9zhg0c7Mp5
urr/V/f75uDeoGdbPi8Ir1uhMbHqdo1dOUQ59aUknLIVLObFXlwBWDOjLY39mcQM
R0ZtIE39pJJuof/WAT868EOH71WmYKnKiXmW5QeakgYAFvzN6ndzURTeAr5UDC/h
g6Se7M73V3sO6L8B4G2mXgqdfhJrQW4Dm7SB/l0p2qiGOtUjPJ9XP3fuTunu0XPJ
Cdyki5taTyJ991KaXD6JRyeNsAXVGoeY+VOxvTfQHHHxDu3GaDHPL8Q3arY/gMYa
iPvkaa/4vJOYwcbt6P5x
=bGND
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:56:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:34:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.